Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 270845 - net-wireless/kismet-2008.05.1 fails to compile with glibc-2.10.1: error: invalid conversion from 'const char*' to 'char*'
Summary: net-wireless/kismet-2008.05.1 fails to compile with glibc-2.10.1: error: inva...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Mobile Herd (OBSOLETE)
URL: http://cvs.fedoraproject.org/viewvc/d...
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.10
  Show dependency tree
 
Reported: 2009-05-22 17:42 UTC by Conrad Kostecki
Modified: 2010-01-21 07:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Kostecki gentoo-dev 2009-05-22 17:42:09 UTC
net-wireless/kismet-2008.05.1 fails to compile with glibc-2.10.1: error: invalid conversion from 'const char*' to 'char*'

Error:
x86_64-pc-linux-gnu-g++ -I/usr/src/linux -O2 -Wall -DVERSION_MAJOR=\"2008\" -DVERSION_MINOR=\"05\" -DVERSION_TINY=\"R1\" -DTIMESTAMP=\"`cat TIMESTAMP`\" -march=core2 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -O3 -pipe -fomit-frame-pointer -mfpmath=sse -c configfile.cc -o configfile.o
In file included from util.cc:21:
util.h:68: warning: 'typedef' was ignored in this declaration
x86_64-pc-linux-gnu-g++ -I/usr/src/linux -O2 -Wall -DVERSION_MAJOR=\"2008\" -DVERSION_MINOR=\"05\" -DVERSION_TINY=\"R1\" -DTIMESTAMP=\"`cat TIMESTAMP`\" -march=core2 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -O3 -pipe -fomit-frame-pointer -mfpmath=sse -c speech.cc -o speech.o
In file included from packet.h:45,
                 from configfile.h:35,
                 from configfile.cc:28:
macaddr.h: In member function 'void mac_addr::string2long(const char*)':
macaddr.h:76: error: invalid conversion from 'const char*' to 'char*'
macaddr.h: At global scope:
macaddr.h:267: warning: 'typedef' was ignored in this declaration
macaddr.h:283: warning: 'typedef' was ignored in this declaration
macaddr.h:288: warning: 'typedef' was ignored in this declaration
In file included from configfile.h:35,
                 from configfile.cc:28:
packet.h:60: warning: 'typedef' was ignored in this declaration
packet.h:321: warning: 'typedef' was ignored in this declaration
In file included from configfile.cc:29:
util.h:68: warning: 'typedef' was ignored in this declaration
make: *** [configfile.o] Error 1
make: *** Waiting for unfinished jobs....
In file included from packet.h:45,
                 from tracktypes.h:27,
                 from speech.h:30,
                 from speech.cc:23:
macaddr.h: In member function 'void mac_addr::string2long(const char*)':
macaddr.h:76: error: invalid conversion from 'const char*' to 'char*'
macaddr.h: At global scope:
macaddr.h:267: warning: 'typedef' was ignored in this declaration
macaddr.h:283: warning: 'typedef' was ignored in this declaration
macaddr.h:288: warning: 'typedef' was ignored in this declaration
In file included from tracktypes.h:27,
                 from speech.h:30,
                 from speech.cc:23:
packet.h:60: warning: 'typedef' was ignored in this declaration
packet.h:321: warning: 'typedef' was ignored in this declaration
In file included from speech.h:30,
                 from speech.cc:23:
tracktypes.h:30: warning: 'typedef' was ignored in this declaration
tracktypes.h:266: warning: 'typedef' was ignored in this declaration
tracktypes.h:461: warning: 'typedef' was ignored in this declaration
make: *** [speech.o] Error 1
Comment 1 Conrad Kostecki gentoo-dev 2009-05-22 17:42:15 UTC
X200T / # emerge --info
Portage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.4.0, glibc-2.10.1-r0, 2.6.29-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.29-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Duo_CPU_L9400_@_1.86GHz-with-gentoo-2.0.0
Timestamp of tree: Fri, 22 May 2009 16:45:01 +0000
app-shells/bash:     4.0_p24
dev-lang/python:     2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -O3 -pipe -fomit-frame-pointer -mfpmath=sse"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=core2 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -O3 -pipe -fomit-frame-pointer -mfpmath=sse"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://de-mirror.org/distro/gentoo"
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--sort-common -Wl,-z,now"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="gzip"
PORTAGE_COMPRESS_FLAGS="-f9"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="amd64 bzip2 gpm iconv ipv6 javascript multilib ncurses nls offensive pam readline samba slang ssl symlink tcpd threads unicode xml zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="intel vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Peter Alfredsen (RETIRED) gentoo-dev 2009-05-22 18:01:44 UTC
Patch in URL, please test.

Fedora people tend to call everything related to glibc-2.10 gcc-4.4 bugs
because they switched both at around the same time.
Comment 3 Conrad Kostecki gentoo-dev 2009-06-28 16:10:17 UTC
Seems to work for me.
Comment 4 Gef 2009-08-02 17:03:06 UTC
(In reply to comment #2)
> Patch in URL, please test.
> 
> Fedora people tend to call everything related to glibc-2.10 gcc-4.4 bugs
> because they switched both at around the same time.
> 

Works for me, plus the patch looks like the right way of doing things (not using cast).
Comment 5 Evan Teran 2009-08-09 02:17:36 UTC
patch seems good here. Any chance, this will get applied to tree soon?
Comment 6 Samuli Suominen gentoo-dev 2009-08-09 15:09:35 UTC
fixed, thanks
Comment 7 Juergen Rose 2009-09-30 06:05:03 UTC
Where can I find the patch of Comment  #2?
Comment 8 Juergen Rose 2010-01-21 07:15:38 UTC
I found the URL http://cvs.fedoraproject.org/viewvc/devel/kismet/kismet-2008-05-R1-gcc44.patch?revision=1.1

Regards Juergen